require(['jquery'], function($){
  $(".xm-figure").each(function(){
    var me = $(this);

    // add alt attribute to the image
    var img = me.find(".xm-figure-inner > a > img");
    if (me.data("alt")) img.attr("alt", me.data("alt"));

    // set clear CSS style on the headings of the page
    var h = null;
    if (me.hasClass("xm-clear-h1")) h = "h1";
    else if (me.hasClass("xm-clear-h2")) h = "h1,h2";
    else if (me.hasClass("xm-clear-h3")) h = "h1,h2,h3";   
    else if (me.hasClass("xm-clear-h4")) h = "h1,h2,h3,h4";
    if (!h) return;
    me.nextAll(h).first().css("clear","both");
  })
})
